InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogWriterFileSettings Struct Reference

LogWriter File Settings. More...

`#include <LogSettings.h>`

## Public Member Functions
| LogWriterFileSettings ()
| LogWriterFileSettings (const bool enableLogging, std::wstring const &logfile, const ExistBehaviour existBehaviour=EXIST_AUTONUMBER, std::wstring const &logfilePostfix=std::wstring(), const LogFileType logFileType=LOG_FILETYPE_AUTODETECT)
| LogWriterFileSettings (std::wstring const &argString)
LogFileType | GetLogFileTypeUsed () const
const std::wstring | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | enableLogging
| Enable creating a logfile.
std::wstring | logfile
| The (base) name of the logfile.
LogFileType | logFileType
| The file-type of the logfile.
ExistBehaviour | existBehaviour
| The way to handle existing file with the specified logfile name.
std::wstring | logfilePostfix
| Post-fix to append to the logfile name.
long | maxFileSize
| The maximum file size of a logfile before starting a new file (only :::LOG_FILETYPE_ITLOG).
long | maxDuration
| The maximum duration of a logfile before starting a new file (only :::LOG_FILETYPE_ITLOG).
bool | useFlashCreateDate
| Set the creation timestamp of the logfile to the date of a downloaded flash file (when using ::DownloadFlashStart()).

## Detailed Description

LogWriter File Settings.

Struct containing general settings for creating a logfile.

## Constructor & Destructor Documentation

## ◆ LogWriterFileSettings() [1/3]

inertia::LogWriterFileSettings::LogWriterFileSettings | ( |  | ) |

Default constructor.

## ◆ LogWriterFileSettings() [2/3]

inertia::LogWriterFileSettings::LogWriterFileSettings | ( | const bool | enableLogging,
|  | std::wstring const & | logfile,
|  | const ExistBehaviour | existBehaviour = EXIST_AUTONUMBER,
|  | std::wstring const & | logfilePostfix = std::wstring(),
|  | const LogFileType | logFileType = LOG_FILETYPE_AUTODETECT )

Constructor with individual arguments.

Parameters

  enableLogging | enable logging
  logfile | the filename
  existBehaviour | the way to handle an existing file
  logfilePostfix | a post-fix to add to the filename
  logFileType | explicitly set the file-type to use

## ◆ LogWriterFileSettings() [3/3]

inertia::LogWriterFileSettings::LogWriterFileSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates LogWriterFileSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetLogFileTypeUsed()

LogFileType inertia::LogWriterFileSettings::GetLogFileTypeUsed | ( |  | ) | const

Get the actual file-type that will be used.

Returns
  the file-type

## ◆ GetOptionDescription()

const po::options_description inertia::LogWriterFileSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogWriterFileSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

const std::wstring inertia::LogWriterFileSettings::ToString | ( |  | ) | const

Get a string representation of this LogWriterFileSettings. The string is compatible with GetOptionDescription() and LogWriterFileSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h